tvbrowser.core.search.booleansearch

## Class StringMatcher

- java.lang.Object
- - tvbrowser.core.search.booleansearch.StringMatcher

- All Implemented Interfaces:
    IMatcher, IStringSize

       class StringMatcher
      extends java.lang.Object
      implements IMatcher, IStringSize

  Erkennt Wörter ohne Leerzeichen
  Author:
    Gilson Laurent, pumpkin@gmx.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringMatcher(java.lang.String s, boolean caseSensitive, java.util.Hashtable<java.lang.String,java.lang.Object> matcherTab)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(java.lang.String searchTerm)` Testet einen String.
    `IMatcher` | `optimize()` Initialisiert und optimiert den IMatcher.
    `int` | `size()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringMatcher

          public StringMatcher(java.lang.String s,
                       boolean caseSensitive,
                       java.util.Hashtable<java.lang.String,java.lang.Object> matcherTab)

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.String searchTerm)

      Description copied from interface: `IMatcher`
      Testet einen String. Gibt true zurück wenn die Bedinung erfüllt ist
      Specified by:
        `matches` in interface `IMatcher`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### size

          public int size()

      Specified by:
        `size` in interface `IStringSize`

    - #### optimize

          public IMatcher optimize()

      Description copied from interface: `IMatcher`
      Initialisiert und optimiert den IMatcher. Da der IMatcher u.U. ausgetauscht werden muss gibt die Methode einen (neuen) IMatcher zurück. Dieser ist zu verwenden.
      Specified by:
        `optimize` in interface `IMatcher`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)